tortoisehg (3.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0 (Closes: #747459).
  * Update copyright information.
  * Update versioned dependencies on mercurial.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 25 May 2014 17:00:25 +0200

tortoisehg (2.11-1) unstable; urgency=medium

  * Imported Upstream version 2.11 (Closes: #738816).
  * Update dependency on mercurial.
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 28 Feb 2014 22:58:31 -0800

tortoisehg (2.10-1) unstable; urgency=low

  * Imported Upstream version 2.10
  * Update required mercurial version.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 17 Nov 2013 15:33:11 -0800

tortoisehg (2.9.2-1) unstable; urgency=low

  * Imported Upstream version 2.9.2
  * Handle renaming of file tortoisehg.desktop to thg.desktop.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Oct 2013 16:05:33 -0700

tortoisehg (2.9-1) unstable; urgency=low

  [ Andrew Shadura ]
  * Imported Upstream version 2.9.
  * Update mercurial version dependency.

  [ Ludovico Cavedon ]
  * Update debian/copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 28 Aug 2013 18:41:40 +0200

tortoisehg (2.8-1) unstable; urgency=low

  * Imported Upstream version 2.8 (Closes: #702715, #704117, #710757).
  * Upload to unstable.
  * Update mercurial version dependency.
  * Update Vcs- fields to canonical format.
  * Update Standards-Version to 3.9.4.
  * Use upstream tortoisehg.desktop file and add desktop-keywords.patch to add
    keywords to it.
  * Fix clean target.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 02 Jun 2013 02:16:48 -0700

tortoisehg (2.6-1) experimental; urgency=low

  * Imported Upstream version 2.6 (Closes: #689707).
  * Remove fix-config-path.patch (applied upstream).
  * Update copyright.
  * Update mercurial version dependency.
  * Update location of nautilus extension.
  * Fix linking to system JS libraries.
  * Symlink duplicated email1.png file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Dec 2012 19:25:02 -0800

tortoisehg (2.4-2) unstable; urgency=medium

  * Add fix-config-path.patch to fix crash on new installations of
    tortoisehg-nautilus (Closes: #678558, LP: #1024136).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 16 Sep 2012 22:39:10 +0200

tortoisehg (2.4-1) unstable; urgency=low

  * Imported Upstream version 2.4 (Closes: #671473).
  * Re-add Nautilus extension (LP: #990527).
  * Update Standards-Version to 3.9.3.
  * Update copyright format.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 29 May 2012 00:59:17 -0700

tortoisehg (2.3-1) unstable; urgency=low

  * Imported Upstream version 2.3 (Closes: #660387, #658140).
  * Update dependency on Merurual (2.1, 2.2).

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 20 Feb 2012 22:03:12 -0800

tortoisehg (2.2-1) unstable; urgency=low

  * New upstream version (Closes: #647780).
  * Add menu and desktop entry for workbench (Closes: #647266).
  * Use .links file rather than create symlinks in the rules file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Nov 2011 23:31:03 -0800

tortoisehg (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Drop Nautilus extension as it does not support Gtk 3 (Closes: #644697,
    #612574, LP: #859104).
  * No longer remove config.py, as it will be removed by unapplying patches.
  * Add NEWS file reporting removal of toirtoisehg-nautilus.
  * Use system underscore.js instead of a private copy.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 29 Oct 2011 15:17:58 -0700

tortoisehg (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #635591).
  * Update mercurial dependency.
  * Change build system to debhelper 8 and dh_python2.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 28 Jul 2011 23:47:59 -0700

tortoisehg (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Drop build dependency on quilt, as we are using source format v3.
  * Update Standards-Version to 3.9.2.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 07 Jul 2011 21:05:38 -0700

tortoisehg (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3
  * tortoisehg-nautilus recommends ssh-askpass (Closes: #620121).

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 01 Apr 2011 20:02:00 -0700

tortoisehg (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Depend on PyQt4 libraries rather than on PyGtk.
  * Rename manpage from hgtk to thg.
  * No longer include _hgtk zsh completion file.
  * Install wrapper script hgtk and add manpage link for it (LP: #732328).
  * Update manpage with new options and commands.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 18 Mar 2011 19:57:13 -0700

tortoisehg (1.1.9.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 15 Feb 2011 14:45:53 -0800

tortoisehg (1.1.8-1) experimental; urgency=low

  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 30 Jan 2011 18:43:13 -0800

tortoisehg (1.1.7-1) experimental; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Update dependecy on mercurial to 1.7.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 17 Dec 2010 12:50:22 +0100

tortoisehg (1.1.4-1) experimental; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Depend on mercurial << 1.8.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 26 Oct 2010 17:24:13 -0700

tortoisehg (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Add dependecy on python-gnome2 for nautilus plugin (LP: #617235).
  * Bump Standards-Version to 3.9.1.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 31 Aug 2010 21:40:49 -0700

tortoisehg (1.1.2-1) experimental; urgency=low

  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Wed, 04 Aug 2010 16:50:55 +0100

tortoisehg (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Set minimum mercurial dependecy to version 1.6 (Closes: #589503).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 18 Jul 2010 16:41:12 +0200

tortoisehg (1.1-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Update Standards-Version to 3.9.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 02 Jul 2010 18:19:44 +0200

tortoisehg (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 12 Jun 2010 02:20:19 -0700

tortoisehg (1.0.3-1) unstable; urgency=low

  * New upstream release:
    - Which drops ReleaseNotes.txt, update packaging accordingly.

 -- Max Bowsher <maxb@f2s.com>  Thu, 13 May 2010 23:49:52 +0100

tortoisehg (1.0.2-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Add ReleaseNotes-update.patch: update upstream changelog
    (Closes: #579782).

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 05 May 2010 00:24:08 -0700

tortoisehg (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream have flipflopped again on including the docs in the tarball,
    re-enable docs build, re-adding python-sphinx build-dep.

 -- Max Bowsher <maxb@f2s.com>  Sat, 03 Apr 2010 18:05:20 +0100

tortoisehg (1.0-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.
  * Drop disable-stdout-redirect.patch, included in this version.
  * Drop python-sphinx build-dep, use upstream's pre-built docs, which are now
    present in the tarball again.

  [ Ludovico Cavedon ]
  * Install contrib/mergetools.rc as /etc/mercurial/hgrc.d/thgmergetools.rc.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 10 Mar 2010 09:27:19 +0100

tortoisehg (0.9.3-2) unstable; urgency=low

  * Add disable-stdout-redirect.patch: fix dangling process with python 2.6
    (LP: 519984).
  * Update Standards-Version to 3.8.4.
  * Set XS-Python-Version to >= 2.4 (Closes: #570576).

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 19 Feb 2010 19:57:37 -0800

tortoisehg (0.9.3-1) unstable; urgency=low

  * Update watch file for changed upstream download location.
  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Wed, 03 Feb 2010 08:39:50 +0000

tortoisehg (0.9.2-1) unstable; urgency=low

  [ Ludovico Cavedon ]
  * New upstream release.
  * Remove references to quilt from debian/rules in order to allow unpacking
    with lenny's dpkg.
  * Revert to not installing _hgtk (zsh completions), but leave it in
    doc/contrib, as upstream say it is not up-to-date.

  [ Max Bowsher ]
  * Drop both preserve-version.patch and __version__.py munging code in
    debian/rules, upstream have improved their setup.py such that this is no
    longer needed.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 04 Jan 2010 15:31:14 +0100

tortoisehg (0.9.1.1-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.
  * Upstream no longer ships HTML documentation, we must build it - add
    builddep on python-sphinx to allow this.
  * Loosen overly strict regex on the debian revision
    (facilitate backports, third-party builds, etc.)

  [ Ludovico Cavedon ]
  * Lower depends on python to 2.4, according to upstream.
  * Install _hgtk (zhs completions) into proper location for zsh.
  * Use newer source format 3.0 (quilt). 
  * Update Maintainer and remove DM-Upload-Allowed.
  * Update Upstream Homepage.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Dec 2009 23:26:09 +0100

tortoisehg (0.9-1) unstable; urgency=low

  [ Ludovico Cavedon ]
  * New upstream release (Closes: #557263).
  * Update copyright file.
  * Bump mercurial dependency to 1.4.
  * Specify minimum version for pyobject and pygtk dependencies.
  * Set Python-Version to current.
  * Replace fix-license-path.patch with add-config-file.patch: the whole
    config file needs to be provided.
  * Remove avoid-double-locale-install.patch (merged upstream).
  * Add preserve-version.patch to prevent setup.py from overriding the package
    version (but still fix it by hand after clean, as patches are unapplied
    before calling setup.py).
  * Include html documentation registered with doc-base (and recommend
    libjs-jquery).
  * Recommend python-iniparse.

  [ Max Bowsher ]
  * Remove obsolete note about repacking from README.source.
  * Drop python from Depends, ${python:Depends} will add it automatically.
  * Depend on mercurial, not mercurial-common.
  * Add Format-Specification line to debian/copyright, and tidy.
  * Change section to 'vcs'.
  * Narrow builddep from python-dev to python.
  * With agreement of maintainer, add myself to Uploaders.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Tue, 24 Nov 2009 21:47:15 -0800

tortoisehg (0.8+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #535902).
  * Merge changes from Max Bowsher Ubuntu PPA package:
    - update copyright statement
    - fix-license-path.patch

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Tue, 29 Sep 2009 16:15:03 -0700
